package ru.dbotthepony.mc.otm.capability;

import net.minecraft.world.entity.LivingEntity;
import net.minecraftforge.common.capabilities.ICapabilityProvider;

public interface IAndroidCapability {
	void tick();
	LivingEntity getEntity();

	long getBatteryLevel();
	long getMaxBatteryLevel();
	long getMissingPower();
	long receiveEnergy(long howMuch, boolean simulate);
	long extractEnergy(long howMuch, boolean simulate);

	default int getMissingPowerInt() {
		long power = getMissingPower();

		if (power > Integer.MAX_VALUE) {
			return Integer.MAX_VALUE;
		}

		return (int) power;
	}
}
